Bug 19700 - Move template JavaScript to the footer: Some circulation pages
Summary: Move template JavaScript to the footer: Some circulation pages
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 17858 20931
  Show dependency treegraph
 
Reported: 2017-11-27 15:11 UTC by Owen Leonard
Modified: 2018-06-13 13:01 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19700: Move template JavaScript to the footer: Some circulation pages (56.41 KB, patch)
2017-11-27 17:16 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19700: Move template JavaScript to the footer: Some circulation pages (57.16 KB, patch)
2017-12-04 16:14 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19700: Move template JavaScript to the footer: Some circulation pages (57.22 KB, patch)
2017-12-06 13:07 UTC, Simon Pouchol
Details | Diff | Splinter Review
Bug 19700: Move template JavaScript to the footer: Some circulation pages (57.27 KB, patch)
2017-12-07 09:30 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-11-27 15:11:28 UTC
In order to conform to best practices for performance staff client template javascript should be in the footer instead of the header.

This patch will do so for some circulation pages.
Comment 1 Owen Leonard 2017-11-27 17:16:49 UTC Comment hidden (obsolete)
Comment 2 Dominic Pichette 2017-12-01 21:11:07 UTC
Could you be more specific please? Which pages should we test for? Thanks!
Comment 3 Owen Leonard 2017-12-04 16:14:02 UTC
Created attachment 69481 [details] [review]
Bug 19700: Move template JavaScript to the footer: Some circulation pages

This patch modifies some staff client circulation templates so that
JavaScript is included in the footer instead of the header.

To test, apply the patch and test the JavaScript-driven features of the
modified templates: All button controls, DataTables functionality, tabs,
etc.

- Article requests (enable ArticleRequests system preference, have at
  least one outstanding article request)
  - Request article (Bibliographic detail page -> Request article).
- Item circulation statistics (Bibliographic detail page -> Items ->
  View item's checkout history).
- On-site checkouts (enable OnSiteCheckouts system preference; Check out
  some items as on-site checkouts; Go to Circulation ->
  Pending on-site checkouts
- Overdues report (Circulation -> Overdues).
- Holds to pull (Circulation -> Holds to pull).
- Renew
- Holds ratios (Circulation -> Holds ratios).
- Check in
- Transfers to receive (Circulation -> Transfers to receive).
- Holds queue (Circulation -> Holds queue).
- Holds awaiting pickup (Circulation -> Holds awaiting pickup).
Comment 4 Simon Pouchol 2017-12-06 13:07:20 UTC
Created attachment 69554 [details] [review]
Bug 19700: Move template JavaScript to the footer: Some circulation pages

This patch modifies some staff client circulation templates so that
JavaScript is included in the footer instead of the header.

To test, apply the patch and test the JavaScript-driven features of the
modified templates: All button controls, DataTables functionality, tabs,
etc.

- Article requests (enable ArticleRequests system preference, have at
  least one outstanding article request)
  - Request article (Bibliographic detail page -> Request article).
- Item circulation statistics (Bibliographic detail page -> Items ->
  View item's checkout history).
- On-site checkouts (enable OnSiteCheckouts system preference; Check out
  some items as on-site checkouts; Go to Circulation ->
  Pending on-site checkouts
- Overdues report (Circulation -> Overdues).
- Holds to pull (Circulation -> Holds to pull).
- Renew
- Holds ratios (Circulation -> Holds ratios).
- Check in
- Transfers to receive (Circulation -> Transfers to receive).
- Holds queue (Circulation -> Holds queue).
- Holds awaiting pickup (Circulation -> Holds awaiting pickup).

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>
Comment 5 Josef Moravec 2017-12-07 09:30:03 UTC
Created attachment 69599 [details] [review]
Bug 19700: Move template JavaScript to the footer: Some circulation pages

This patch modifies some staff client circulation templates so that
JavaScript is included in the footer instead of the header.

To test, apply the patch and test the JavaScript-driven features of the
modified templates: All button controls, DataTables functionality, tabs,
etc.

- Article requests (enable ArticleRequests system preference, have at
  least one outstanding article request)
  - Request article (Bibliographic detail page -> Request article).
- Item circulation statistics (Bibliographic detail page -> Items ->
  View item's checkout history).
- On-site checkouts (enable OnSiteCheckouts system preference; Check out
  some items as on-site checkouts; Go to Circulation ->
  Pending on-site checkouts
- Overdues report (Circulation -> Overdues).
- Holds to pull (Circulation -> Holds to pull).
- Renew
- Holds ratios (Circulation -> Holds ratios).
- Check in
- Transfers to receive (Circulation -> Transfers to receive).
- Holds queue (Circulation -> Holds queue).
- Holds awaiting pickup (Circulation -> Holds awaiting pickup).

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 6 Jonathan Druart 2017-12-11 14:37:34 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 7 Nick Clemens 2017-12-14 18:00:01 UTC
Awesome work all! Skipping for 17.11, enhancement.